Package: kaffeine
Version: 2.0.5-1


This bug happens to me when only if I watching some channels (in Italy RAI1,RAI2 .. etc) and for these also I found on EPG text an error:

Country ITA: Not rated (I18N_excess_arguments_supplied)

If I start Kaffeine on another channel when the bug not happens and the I switch to these channels, on console I see a lot of message like this:

24-07-17 14:53:14.588 [Warning ] "2 instead of 1 arguments to message {Country %1: not rate...} supplied before conversion."

and Kaffeine starts to eat 100% of one core of the CPU,

I think that can be the patch that solve the issue:
https://github.com/KDE/kaffeine/commit/f2b033748f40954a4bba0ef8423deabde3541568




--- System information. ---
Architecture:
Kernel: Linux 4.9.30

Debian Release: 9.1
500 stable security.debian.org
500 stable http.debian.net

--- Package information. ---
Depends (Version) | Installed
===========================================-+-================
kio | 5.28.0-2
libc6 (>= 2.4) | 2.24-11+deb9u1
libdvbv5-0 (>= 1.4.0) | 1.12.3-1
libgcc1 (>= 1:4.2) | 1:6.3.0-18
libkf5configcore5 (>= 4.97.0) | 5.28.0-2
libkf5configwidgets5 (>= 4.96.0) | 5.28.0-2
libkf5coreaddons5 (>= 4.100.0) | 5.28.0-2
libkf5dbusaddons5 (>= 4.97.0) | 5.28.0-1
libkf5i18n5 (>= 4.97.0) | 5.28.0-2
libkf5kiocore5 (>= 4.96.0) | 5.28.0-2
libkf5kiofilewidgets5 (>= 4.96.0) | 5.28.0-2
libkf5solid5 (>= 4.97.0) | 5.28.0-3
libkf5widgetsaddons5 (>= 4.96.0) | 5.28.0-3
libkf5xmlgui5 (>= 4.96.0) | 5.28.0-1
libqt5core5a (>= 5.7.0) | 5.7.1+dfsg-3+b1
libqt5dbus5 (>= 5.4.0) | 5.7.1+dfsg-3+b1
libqt5gui5 (>= 5.7.0) | 5.7.1+dfsg-3+b1
libqt5network5 (>= 5.4.0) | 5.7.1+dfsg-3+b1
libqt5sql5 (>= 5.4.0) | 5.7.1+dfsg-3+b1
libqt5widgets5 (>= 5.6.0~beta) | 5.7.1+dfsg-3+b1
libqt5x11extras5 (>= 5.6.0) | 5.7.1~20161021-2
libqt5xml5 (>= 5.4.0) | 5.7.1+dfsg-3+b1
libstdc++6 (>= 5.2) | 6.3.0-18
libvlc5 (>= 2.2.0~pre1) | 2.2.6-1~deb9u1
libxss1 | 1:1.2.2-1
libqt5sql5-sqlite | 5.7.1+dfsg-3+b1
vlc-plugin-base | 2.2.6-1~deb9u1
vlc-plugin-video-output | 2.2.6-1~deb9u1


Package's Recommends field is empty.

Suggests (Version) | Installed
=========================-+-===========
libdvdcss2 |

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to